couchdb-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Paul Davis <paul.joseph.da...@gmail.com>
Subject Re: SpiderMonkey 1.8.5 upgrades
Date Sun, 03 Apr 2011 01:31:18 GMT
On Sat, Apr 2, 2011 at 7:28 PM, Dave Cottlehuber <dave@muse.net.nz> wrote:
> On 2 April 2011 23:09, Robert Newson <robert.newson@gmail.com> wrote:
>> +1 for supporting 1.8.5 exclusively from trunk (i.e, 1.2) upwards.
>> Leave couchjs as is on 1.0.x and 1.1.x
>>
>> B.
>
> Makes sense;  +1.
>
> From a release perspective I would like to be clear why we are
> upgrading or not depending on the branch. Is it simply speed that
> folks are interested in, or is there new functionality that people
> need in 1.8.5?
>
> A+
> Dave
>

Mostly, because the last 'official' version of SM is 1.7 which we've
been required to support because there's nothing 'officially' released
since then. (1.7 was released in 2007).

Recently most people have either been using a 1.8.0rc1 tarball (which
is in a bit of a wonky position between 1.7 and 1.8.1+ where it has a
weird intermediary API) or a hash from the mozilla-central mercurial
repository.

Basically, we've been floating this upgrade because there was nothing
to latch onto. Now that 1.8.5 is out as a tarball, I reckon we'll see
most SM related projects making the jump pretty quickly. I know all of
my other projects will do so as well as soon as I find some free time.

Mime
View raw message